"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DockItemsContainer = void 0;
const react_1 = __importDefault(require("react"));
const DockItem_1 = require("./DockItem");
const DockBackground_1 = require("./DockBackground");
function DockItemsContainer(props) {
    const style = Object.assign({ display: 'grid', gridTemplateColumns: props.itemWidths.map(() => 'auto').join(' '), position: 'relative' }, (() => {
        switch (props.magnifyDirection) {
            case 'up':
                return { alignItems: 'end' };
            case 'down':
                return { alignItems: 'start' };
            case 'center':
                return { alignItems: 'center' };
        }
    })());
    return (react_1.default.createElement("div", { style: style },
        react_1.default.Children.map(props.children, (child, index) => (react_1.default.createElement(DockItem_1.DockItem, { width: props.itemWidths[index], debug: props.debug }, child))),
        react_1.default.createElement(DockBackground_1.DockBackground, { className: props.backgroundClassName, height: props.height, magnifyDirection: props.magnifyDirection, debug: props.debug })));
}
exports.DockItemsContainer = DockItemsContainer;
